Loading...
Searching...
No Matches
Halide::Runtime::Internal::halide_cond_with_spinning Struct Reference

`#include <thread_pool_common.h>`

## Public Member Functions

void | wait (halide_mutex *mutex)
void | broadcast ()

## Public Attributes

halide_cond | cond
uintptr_t | counter

## Detailed Description

Definition at line 37 of file thread_pool_common.h.

## Member Function Documentation

## wait()

void Halide::Runtime::Internal::halide_cond_with_spinning::wait | ( | halide_mutex * | mutex | ) |

inline

Definition at line 41 of file thread_pool_common.h.

References cond, counter, halide_cond_wait(), halide_mutex_lock(), halide_mutex_unlock(), and halide_thread_yield().

## broadcast()

void Halide::Runtime::Internal::halide_cond_with_spinning::broadcast | ( |  | ) |

inline

Definition at line 72 of file thread_pool_common.h.

References cond, counter, and halide_cond_broadcast().

## Member Data Documentation

## cond

halide_cond Halide::Runtime::Internal::halide_cond_with_spinning::cond

Definition at line 38 of file thread_pool_common.h.

Referenced by broadcast(), and wait().

## counter

uintptr_t Halide::Runtime::Internal::halide_cond_with_spinning::counter

Definition at line 39 of file thread_pool_common.h.

Referenced by broadcast(), and wait().

The documentation for this struct was generated from the following file:

- src/runtime/thread_pool_common.h